import { ObservableList, ObservableObject, ObservableSet } from "@cmmn/cell";
import { CLazyMap, CValueList, CValueMap, CValueSet } from "@collabs/collabs";
import { BroadcastSync } from "./broadcast-sync.js";
export declare class SyncStore {
    protected name: any;
    private replicaId;
    private doc;
    protected objects: CLazyMap<unknown, CValueMap<unknown, unknown>>;
    protected arrays: CLazyMap<unknown, CValueList<unknown>>;
    protected sets: CLazyMap<unknown, CValueSet<unknown>>;
    private store;
    IsLoaded: Promise<unknown>;
    constructor(name: any, replicaId?: string);
    IsSynced: boolean;
    addProvider(): void;
    addSync(sync: BroadcastSync): void;
    getObjectCell<T>(name: string): ObservableObject<T>;
    getArray<T>(name: string): ObservableList<T>;
    getSet<T>(name: string): ObservableSet<T>;
    dispose(): void;
}
